# PSF-LoginServer - master - net.psforever.objects.serverobject.transfer.TransferContainer
PSF - LoginServer - master - net.psforever.objects.serverobject.transfer.TransferContainer
Keywords: PSF LoginServer master net.psforever.objects.serverobject.transfer.TransferContainer

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package transfer
  Definition Classes
    serverobject
- TransferBehavior
- TransferContainer

t

net.psforever.objects.serverobject.transfer

# TransferContainer 

###
Companion object TransferContainer

#### trait TransferContainer extends Identifiable with ZoneAware with WorldEntity

Source
  TransferContainer.scala

Linear Supertypes
WorldEntity, ZoneAware, Identifiable, AnyRef, Any
Known Subclasses
FakeNtuSource, CommonNtuContainer, NtuContainer, Vehicle, ResourceSilo, OrbitalShuttle, WarpGate

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TransferContainer
2. WorldEntity
3. ZoneAware
4. Identifiable
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def Actor: ActorRef
2.  abstract def GUID: PlanetSideGUID
   Definition Classes
     Identifiable
3.  abstract def GUID_=(guid: PlanetSideGUID): PlanetSideGUID
   Definition Classes
     Identifiable
4.  abstract def Orientation: Vector3
   Definition Classes
     WorldEntity
5.  abstract def Orientation_=(vec: Vector3): Vector3
   Definition Classes
     WorldEntity
6.  abstract def Position: Vector3
   Definition Classes
     WorldEntity
7.  abstract def Position_=(vec: Vector3): Vector3
   Definition Classes
     WorldEntity
8.  abstract def Velocity: Option[Vector3]
   Definition Classes
     WorldEntity
9.  abstract def Velocity_=(vec: Option[Vector3]): Option[Vector3]
   Definition Classes
     WorldEntity

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Continent: String
   Definition Classes
     ZoneAware
5.  def Continent_=(zoneId: String): String

   Give the entity a custom `Zone` identifier.

   Give the entity a custom `Zone` identifier.

   zoneId

     the custom identifier of the `Zone` object

   returns

     the identifier of the `Zone` object

   Definition Classes
     ZoneAware
6.  def Velocity_=(vec: Vector3): Option[Vector3]
   Definition Classes
     WorldEntity
7.  def Zone: Zone
   Definition Classes
     ZoneAware
8.  def Zone_=(zone: Zone): Zone

   When assigning a new `Zone` object for the `Vehicle` object, eliminate

   When assigning a new `Zone` object for the `Vehicle` object, eliminate

   zone

     a reference to the `Zone` object

   returns

     a reference to the `Zone` object

   Definition Classes
     ZoneAware
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
13.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
14.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  def isMoving(test: Float): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the (squared) velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
18.  def isMoving(test: Vector3): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
19.  def isMoving: Boolean

    A velocity of non-zero is the same as moving.

    A velocity of non-zero is the same as moving.

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      AnyRef → Any
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from WorldEntity

### Inherited from ZoneAware

### Inherited from Identifiable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped